<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html"/>
	
	<xsl:template match="FETCH_RES">
		<html>
		<head>
		<style type="text/css">
			BODY, TD, P, A { font-size: 10pt; font-family: tahoma,arial,sans-serif; }
			.title { font-size: 11pt; color: #0000ff; text-decoration: underline; }
			.hit { font-weight: bold; }		
		</style>
		</head>
		<body>
		<table border="0" width="100%" cellspacing="3" cellpadding="0">
			<xsl:apply-templates select="RECORD" />
		</table>
		</body>
		</html>
	</xsl:template>
	
	<xsl:template match="RECORD">
		<tr><td>
			<table width="100%" cellspacing="0" cellpadding="0" border="0" align="left">
				<th width="5%"></th>
				<th width="90%"></th>
				<th width="5%"></th>
				<tr>
					<td colspan="2"><xsl:apply-templates select="CHAPTER"/></td>
				</tr>
				<tr>
					<td colspan="2"><xsl:apply-templates select="SPEAKER" /></td>
				</tr>
				<tr>
					<td></td>
					<td><xsl:apply-templates select="TXT" /></td>
				</tr>
			</table>
		</td></tr>
	</xsl:template>
	
	<xsl:template match="CHAPTER">
		<span class="title">
			<xsl:apply-templates select="SUB[1]" />
		</span>
	</xsl:template>
	
	<xsl:template match="SPEAKER|PERSON">
		<xsl:for-each select="SUB">
			<xsl:if test="position() > 1">, </xsl:if>
			<xsl:apply-templates select="." />
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="TXT|TXT2">
		<xsl:apply-templates select="P[1]" />
		<xsl:if test="count(P) > 1" >
			...
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="SUB|P">
		<xsl:for-each select="HIT|text()">
			<xsl:apply-templates select="." />
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="HIT">
		<span class="hit"><xsl:value-of select="." /></span>
	</xsl:template>
	
</xsl:stylesheet>
